Page MenuHomeFreeBSD

ixgbe: Update shared code
ClosedPublic

Authored by kbowling on Aug 20 2021, 6:19 PM.

Details

Reviewers
grehan
gallatin
piotr.pietruszewski_intel.com
Group Reviewers
Intel Networking
Commits
R10:8d4cf1a63e1d: ixgbe: Update shared code catchup
R10:88d064c12188: ixgbe: Update shared code catchup
R10:3f66b96d8658: ixgbe: Update shared code catchup
R10:479184c29752: ixgbe: cleanup spelling mistakes in comments
R10:ebb3327d09ce: ixgbe: increase the timeout
R10:900b6eedcc7b: ixgbe: remove unnecessary return value check
R10:74e5adf09fd3: ixgbe: create function to restart autoneg
R10:7e7e6f8a5c94: ixgbe: remove whitespace in function comments
R10:bd6a3f4c8087: ixgbe: add register definitions for NVM update
R10:4cfdd23e189f: ixgbe: move increments after evaluations
R10:cf5be37b79fc: ixgbe: support DCB registers dump
R10:19902306444a: ixgbe: Update copyright to 2020
R10:461f788cc7e0: ixgbe: remove dead code
R10:d29834819db1: ixgbe: update X550 SFP identification
R10:e713db6b8ec7: ixgbe: Use C99 bool types
R10:321343a8b6bb: ixgbe: replace an operation in X550 setup
R10:834bb5a365ec: ixgbe: add FW recovery mode check
R10:ec3b6870a3f1: ixgbe: add typecast for type mismatch
R10:6d034e061a96: ixgbe: check host interface return status
R10:419dafe93aac: ixgbe: wait for link after copper MAC setup
R10:9e971c3f9ad4: ixgbe: initialize data field in struct buffer
R10:b41dfee36aea: ixgbe: wait longer for link after fiber MAC setup
R10:4cb3405226c4: ixgbe: fix maximum wait time in comment
R10:8b6d4eea1b52: ixgbe: fix x550em 10G NIC link status
R10:5da82378ecce: ixgbe: fix response to apply-update command
R10:722894a2049e: ixgbe: fix host interface shadow RAM read
R10:925f00e23ea7: ixgbe: improve log about autoneg being disabled
R10:0a1ea6cebe9e: ixgbe: add IPv6 mask for flow director
R10:71d226bbd9f4: ixgbe: fix infinite recursion on PCIe link down
R10:fa82c3b5ce38: ixgbe: clear all queues on VF reset
R10:538d7e8b1acb: ixgbe: increase the timeout
R10:61bb00e52838: ixgbe: cleanup spelling mistakes in comments
R10:04e5691087aa: ixgbe: remove unnecessary return value check
R10:ae1d4986a529: ixgbe: create function to restart autoneg
R10:815ff2d81d0f: ixgbe: move increments after evaluations
R10:b469839bfdd0: ixgbe: add register definitions for NVM update
R10:48a64ffc0dc4: ixgbe: remove whitespace in function comments
R10:32a190803cc7: ixgbe: support DCB registers dump
R10:d255eb15652b: ixgbe: update X550 SFP identification
R10:329dce3d69f3: ixgbe: Update copyright to 2020
R10:3d6eccd7211a: ixgbe: remove dead code
R10:1fe6bec929a1: ixgbe: replace an operation in X550 setup
R10:163e29cec622: ixgbe: Use C99 bool types
R10:de5fcf118ace: ixgbe: add FW recovery mode check
R10:f554c144fbaf: ixgbe: add typecast for type mismatch
R10:b8f2ff6a43e3: ixgbe: wait for link after copper MAC setup
R10:31b67f9a10df: ixgbe: check host interface return status
R10:ee690406343d: ixgbe: initialize data field in struct buffer
R10:6cd58ec39351: ixgbe: fix x550em 10G NIC link status
R10:2e6fe4187335: ixgbe: fix maximum wait time in comment
R10:038c4f3f3fcc: ixgbe: wait longer for link after fiber MAC setup
R10:ba1995e65ce1: ixgbe: fix host interface shadow RAM read
R10:388fa55dcf89: ixgbe: fix response to apply-update command
R10:6bf001dfe549: ixgbe: improve log about autoneg being disabled
R10:5755b5594be5: ixgbe: add IPv6 mask for flow director
R10:d357a27643af: ixgbe: fix infinite recursion on PCIe link down
R10:df57aa230c7f: ixgbe: clear all queues on VF reset
R10:5fd1f4be8d81: ixgbe: increase the timeout
R10:46981e903cf3: ixgbe: cleanup spelling mistakes in comments
R10:3a89005394bc: ixgbe: remove unnecessary return value check
R10:80a39a2bda82: ixgbe: create function to restart autoneg
R10:ff8db817abbd: ixgbe: add register definitions for NVM update
R10:dc11ba4eb3fe: ixgbe: move increments after evaluations
R10:4cdc5e12a849: ixgbe: remove whitespace in function comments
R10:9e65ae746da2: ixgbe: support DCB registers dump
R10:0a4f0befab9d: ixgbe: update X550 SFP identification
R10:8455e365f77f: ixgbe: Update copyright to 2020
R10:0b487fb4547a: ixgbe: remove dead code
R10:c85b6f2901e7: ixgbe: replace an operation in X550 setup
R10:79b36ec91dec: ixgbe: Use C99 bool types
R10:b622bdb4ebdf: ixgbe: add FW recovery mode check
R10:994dd6328c66: ixgbe: add typecast for type mismatch
R10:d5bbb5500cf2: ixgbe: wait for link after copper MAC setup
R10:c1a56b6f5ffd: ixgbe: check host interface return status
R10:b3ebe337ffa0: ixgbe: initialize data field in struct buffer
R10:8e9f1b239dc0: ixgbe: fix x550em 10G NIC link status
R10:96ef6eb3ae9d: ixgbe: fix maximum wait time in comment
R10:aaa3af802f90: ixgbe: wait longer for link after fiber MAC setup
R10:31a23e3eb531: ixgbe: fix host interface shadow RAM read
R10:c966c431c764: ixgbe: fix response to apply-update command
R10:f511cd22586a: ixgbe: improve log about autoneg being disabled
R10:c4f73d5d6a6c: ixgbe: add IPv6 mask for flow director
R10:8270b7174c48: ixgbe: fix infinite recursion on PCIe link down
R10:7165504a1768: ixgbe: clear all queues on VF reset
Summary

Sync the ixgbe shared code with DPDK shared code which has local fixes. Some judgement was applied during the merge, there are some features DPDK disabled (2.5G and 5G autoneg due to interop issues), and we support bypass adapters.

"not-released-cid-ixgbe.2020.06.09.tar.gz"

Obtained from: DPDK http://git.dpdk.org/dpdk/tree/drivers/net/ixgbe/base

Test Plan

Testing on x550em (Xeon-D)

Diff Detail

Repository
R10 FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Update with remaining catch-up diff

@imp For posterity, the way I generated the patches.. @erj maybe the DPDK team can use a method like this too so we stay in lockstep

Generate a patch file from the DPDK git repo:

git format-patch -1 <commit sha>

Merge it in the FreeBSD src git repo:

git am -p5 --reject --directory sys/dev/ixgbe ~/c/os/dpdk/drivers/net/ixgbe/base/0001-net-ixgbe-base-increase-the-timeout.patch

# If I need to fix it up, hack hack
git add <file>
git am --continue

Edit the commit message to include FreeBSD metadata:

git commit --amend
This revision was not accepted when it landed; it landed in state Needs Review.Sep 14 2021, 12:41 AM
This revision was automatically updated to reflect the committed changes.
kbowling updated this revision to Diff 95140.

I'd like to commit this on the 27th (2 week feedback window) if there is no other discussion.

This revision is now accepted and ready to land.Oct 7 2021, 1:37 AM